<!--
/**
 * Copyright © 2016 Neoxero. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<div class="authentication-wrapper" data-block="authentication" data-bind="visible: isActive()">
    <button
        type="button"
        class="action action-auth-toggle"
        data-trigger="authentication">
        <span data-bind="i18n: 'تسجيل الدخول'"></span>
    </button>
    <div class="block-authentication"
         style="display: none"
         data-bind="mageInit: {
            'Magento_Ui/js/modal/modal':{
                'type': 'custom',
                'modalClass': 'authentication-dropdown',
                'trigger': '[data-trigger=authentication]',
                'wrapperClass': 'authentication-wrapper',
                'parentModalClass': '_has-modal-custom _has-auth-shown',
                'responsive': true,
                'responsiveClass': 'custom-slide',
                'overlayClass': 'dropdown-overlay modal-custom-overlay',
                'buttons': []
            }}">
        <!-- ko foreach: getRegion('before') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!-- /ko -->
        <div class="block block-customer-login"
             data-bind="attr: {'data-label': $t('or')}">
            <div class="block-title">
                <strong id="block-customer-login-heading"
                        role="heading"
                        aria-level="2"
                        data-bind="i18n: 'تسجيل الدخول'"></strong>
            </div>
            <!-- ko foreach: getRegion('messages') -->
            <!-- ko template: getTemplate() --><!-- /ko -->
            <!--/ko-->
            <div class="block-content" aria-labelledby="block-customer-login-heading">
                <form data-role="login"
                      data-bind="submit:login"
                      method="post">
                    <div class="fieldset"
                              data-bind="attr: {'data-hasrequired': $t('* Required Fields')}">
                        <div class="form-group field-email required">
                            <label class="label" for="login-email"><span data-bind="i18n: 'البريد الالكترونى'"></span></label>
                                <input type="email"
                                       class="form-control"
                                       id="login-email"
                                       name="username"
                                       data-bind="attr: {autocomplete: autocomplete}"
                                       data-validate="{required:true, 'validate-email':true}" />
                        </div>
                        <div class="form-group field-password required">
                            <label for="login-password" class="label"><span data-bind="i18n: 'كلمة السر'"></span></label>
                                <input type="password"
                                       class="form-control"
                                       id="login-password"
                                       name="password"
                                       data-bind="attr: {autocomplete: autocomplete}"
                                       data-validate="{required:true, 'validate-password':true}"
                                       autocomplete="off"/>
                        </div>
                        <!-- ko foreach: getRegion('additional-login-form-fields') -->
                        <!-- ko template: getTemplate() --><!-- /ko -->
                        <!-- /ko -->
                    </div>
                        <input name="context" type="hidden" value="checkout" />
                            <button type="submit" class="action action-login btn btn-primary"><span data-bind="i18n: 'تسجيل الدخول'"></span></button>
                            <a class="action action-remind" data-bind="attr: { href: forgotPasswordUrl }">
                                <span data-bind="i18n: 'هل نسيت كلمة السر؟'"></span>
                            </a>
                </form>
            </div>
        </div>
    </div>
</div>
